CREATE TABLE CRST_AP_INVOICES_DIST
(
  ACCOUNTING_DATE                DATE,
  ACCRUAL_POSTED_FLAG            VARCHAR2(1 BYTE),
  ASSETS_ADDITION_FLAG           VARCHAR2(1 BYTE),
  ASSETS_TRACKING_FLAG           VARCHAR2(1 BYTE),
  CASH_POSTED_FLAG               VARCHAR2(1 BYTE),
  DISTRIBUTION_LINE_NUMBER       NUMBER(15),
  DIST_CODE_COMBINATION_ID       NUMBER(15),
  INVOICE_ID                     NUMBER(15),
  LAST_UPDATED_BY                NUMBER(15),
  LAST_UPDATE_DATE               DATE,
  LINE_TYPE_LOOKUP_CODE          VARCHAR2(25 BYTE),
  PERIOD_NAME                    VARCHAR2(15 BYTE),
  SET_OF_BOOKS_ID                NUMBER(15),
  ACCTS_PAY_CODE_COMBINATION_ID  NUMBER(15),
  AMOUNT                         NUMBER,
  BASE_AMOUNT                    NUMBER,
  BASE_INVOICE_PRICE_VARIANCE    NUMBER,
  BATCH_ID                       NUMBER(15),
  CREATED_BY                     NUMBER(15),
  CREATION_DATE                  DATE,
  DESCRIPTION                    VARCHAR2(240 BYTE),
  EXCHANGE_RATE_VARIANCE         NUMBER,
  FINAL_MATCH_FLAG               VARCHAR2(1 BYTE),
  INCOME_TAX_REGION              VARCHAR2(10 BYTE),
  INVOICE_PRICE_VARIANCE         NUMBER,
  LAST_UPDATE_LOGIN              NUMBER(15),
  MATCH_STATUS_FLAG              VARCHAR2(1 BYTE),
  POSTED_FLAG                    VARCHAR2(1 BYTE),
  PO_DISTRIBUTION_ID             NUMBER(15),
  PROGRAM_APPLICATION_ID         NUMBER(15),
  PROGRAM_ID                     NUMBER(15),
  PROGRAM_UPDATE_DATE            DATE,
  QUANTITY_INVOICED              NUMBER,
  RATE_VAR_CODE_COMBINATION_ID   NUMBER(15),
  REQUEST_ID                     NUMBER(15),
  REVERSAL_FLAG                  VARCHAR2(1 BYTE),
  TYPE_1099                      VARCHAR2(10 BYTE),
  UNIT_PRICE                     NUMBER,
  VAT_CODE                       VARCHAR2(15 BYTE),
  AMOUNT_ENCUMBERED              NUMBER,
  BASE_AMOUNT_ENCUMBERED         NUMBER,
  ENCUMBERED_FLAG                VARCHAR2(1 BYTE),
  EXCHANGE_DATE                  DATE,
  EXCHANGE_RATE                  NUMBER,
  EXCHANGE_RATE_TYPE             VARCHAR2(30 BYTE),
  PRICE_ADJUSTMENT_FLAG          VARCHAR2(1 BYTE),
  PRICE_VAR_CODE_COMBINATION_ID  NUMBER(15),
  QUANTITY_UNENCUMBERED          NUMBER,
  STAT_AMOUNT                    NUMBER,
  AMOUNT_TO_POST                 NUMBER,
  ATTRIBUTE1                     VARCHAR2(150 BYTE),
  ATTRIBUTE10                    VARCHAR2(150 BYTE),
  ATTRIBUTE11                    VARCHAR2(150 BYTE),
  ATTRIBUTE12                    VARCHAR2(150 BYTE),
  ATTRIBUTE13                    VARCHAR2(150 BYTE),
  ATTRIBUTE14                    VARCHAR2(150 BYTE),
  ATTRIBUTE15                    VARCHAR2(150 BYTE),
  ATTRIBUTE2                     VARCHAR2(150 BYTE),
  ATTRIBUTE3                     VARCHAR2(150 BYTE),
  ATTRIBUTE4                     VARCHAR2(150 BYTE),
  ATTRIBUTE5                     VARCHAR2(150 BYTE),
  ATTRIBUTE6                     VARCHAR2(150 BYTE),
  ATTRIBUTE7                     VARCHAR2(150 BYTE),
  ATTRIBUTE8                     VARCHAR2(150 BYTE),
  ATTRIBUTE9                     VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY             VARCHAR2(150 BYTE),
  BASE_AMOUNT_TO_POST            NUMBER,
  CASH_JE_BATCH_ID               NUMBER(15),
  EXPENDITURE_ITEM_DATE          DATE,
  EXPENDITURE_ORGANIZATION_ID    NUMBER(15),
  EXPENDITURE_TYPE               VARCHAR2(30 BYTE),
  JE_BATCH_ID                    NUMBER(15),
  PARENT_INVOICE_ID              NUMBER(15),
  PA_ADDITION_FLAG               VARCHAR2(1 BYTE),
  PA_QUANTITY                    NUMBER(22,5),
  POSTED_AMOUNT                  NUMBER,
  POSTED_BASE_AMOUNT             NUMBER,
  PREPAY_AMOUNT_REMAINING        NUMBER,
  PROJECT_ACCOUNTING_CONTEXT     VARCHAR2(30 BYTE),
  PROJECT_ID                     NUMBER(15),
  TASK_ID                        NUMBER(15),
  USSGL_TRANSACTION_CODE         VARCHAR2(30 BYTE),
  USSGL_TRX_CODE_CONTEXT         VARCHAR2(30 BYTE),
  EARLIEST_SETTLEMENT_DATE       DATE,
  REQ_DISTRIBUTION_ID            NUMBER(15),
  QUANTITY_VARIANCE              NUMBER,
  BASE_QUANTITY_VARIANCE         NUMBER,
  PACKET_ID                      NUMBER(15),
  AWT_FLAG                       VARCHAR2(1 BYTE),
  AWT_GROUP_ID                   NUMBER(15),
  AWT_TAX_RATE_ID                NUMBER(15),
  AWT_GROSS_AMOUNT               NUMBER,
  AWT_INVOICE_ID                 NUMBER(15),
  AWT_ORIGIN_GROUP_ID            NUMBER(15),
  REFERENCE_1                    VARCHAR2(30 BYTE),
  REFERENCE_2                    VARCHAR2(30 BYTE),
  ORG_ID                         NUMBER(15),
  OTHER_INVOICE_ID               NUMBER(15),
  AWT_INVOICE_PAYMENT_ID         NUMBER(15),
  GLOBAL_ATTRIBUTE_CATEGORY      VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20             VARCHAR2(150 BYTE),
  AMOUNT_INCLUDES_TAX_FLAG       VARCHAR2(1 BYTE),
  TAX_CALCULATED_FLAG            VARCHAR2(1 BYTE),
  LINE_GROUP_NUMBER              NUMBER(15),
  RECEIPT_VERIFIED_FLAG          VARCHAR2(1 BYTE),
  RECEIPT_REQUIRED_FLAG          VARCHAR2(1 BYTE),
  RECEIPT_MISSING_FLAG           VARCHAR2(1 BYTE),
  JUSTIFICATION                  VARCHAR2(240 BYTE),
  EXPENSE_GROUP                  VARCHAR2(80 BYTE),
  START_EXPENSE_DATE             DATE,
  END_EXPENSE_DATE               DATE,
  RECEIPT_CURRENCY_CODE          VARCHAR2(15 BYTE),
  RECEIPT_CONVERSION_RATE        NUMBER,
  RECEIPT_CURRENCY_AMOUNT        NUMBER,
  DAILY_AMOUNT                   NUMBER,
  WEB_PARAMETER_ID               NUMBER,
  ADJUSTMENT_REASON              VARCHAR2(240 BYTE),
  AWARD_ID                       NUMBER(15),
  MRC_DIST_CODE_COMBINATION_ID   VARCHAR2(2000 BYTE),
  MRC_BASE_AMOUNT                VARCHAR2(2000 BYTE),
  MRC_BASE_INV_PRICE_VARIANCE    VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_RATE_VARIANCE     VARCHAR2(2000 BYTE),
  MRC_RATE_VAR_CCID              VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_DATE              VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_RATE              VARCHAR2(2000 BYTE),
  MRC_EXCHANGE_RATE_TYPE         VARCHAR2(2000 BYTE),
  MRC_RECEIPT_CONVERSION_RATE    VARCHAR2(2000 BYTE),
  DIST_MATCH_TYPE                VARCHAR2(25 BYTE),
  RCV_TRANSACTION_ID             NUMBER(15),
  INVOICE_DISTRIBUTION_ID        NUMBER(15),
  PARENT_REVERSAL_ID             NUMBER(15),
  TAX_RECOVERY_RATE              NUMBER,
  TAX_RECOVERY_OVERRIDE_FLAG     VARCHAR2(1 BYTE),
  TAX_RECOVERABLE_FLAG           VARCHAR2(1 BYTE),
  TAX_CODE_OVERRIDE_FLAG         VARCHAR2(1 BYTE),
  TAX_CODE_ID                    NUMBER(15),
  PA_CC_AR_INVOICE_ID            NUMBER(15),
  PA_CC_AR_INVOICE_LINE_NUM      NUMBER(15),
  PA_CC_PROCESSED_CODE           VARCHAR2(1 BYTE),
  MERCHANT_DOCUMENT_NUMBER       VARCHAR2(80 BYTE),
  MERCHANT_NAME                  VARCHAR2(80 BYTE),
  MERCHANT_REFERENCE             VARCHAR2(240 BYTE),
  MERCHANT_TAX_REG_NUMBER        VARCHAR2(80 BYTE),
  MERCHANT_TAXPAYER_ID           VARCHAR2(80 BYTE),
  COUNTRY_OF_SUPPLY              VARCHAR2(5 BYTE),
  MATCHED_UOM_LOOKUP_CODE        VARCHAR2(25 BYTE),
  GMS_BURDENABLE_RAW_COST        NUMBER(22,5),
  ACCOUNTING_EVENT_ID            NUMBER(15),
  PREPAY_DISTRIBUTION_ID         NUMBER(15),
  CREDIT_CARD_TRX_ID             NUMBER(15),
  UPGRADE_POSTED_AMT             NUMBER,
  UPGRADE_BASE_POSTED_AMT        NUMBER,
  INVENTORY_TRANSFER_STATUS      VARCHAR2(1 BYTE),
  COMPANY_PREPAID_INVOICE_ID     NUMBER(15),
  CC_REVERSAL_FLAG               VARCHAR2(1 BYTE),
  PREPAY_TAX_PARENT_ID           NUMBER(15),
  AWT_WITHHELD_AMT               NUMBER,
  INVOICE_INCLUDES_PREPAY_FLAG   VARCHAR2(1 BYTE),
  PRICE_CORRECT_INV_ID           NUMBER(15),
  PRICE_CORRECT_QTY              NUMBER,
  PA_CMT_XFACE_FLAG              VARCHAR2(1 BYTE),
  CANCELLATION_FLAG              VARCHAR2(1 BYTE),
  FULLY_PAID_ACCTD_FLAG          VARCHAR2(1 BYTE),
  DUMMY                          CHAR(1),
  DIST_CCID_D                    VARCHAR2(100),
  INVOICE_NUMBER                 VARCHAR2(100),
  LAST_UPDATED_BY_NAME           VARCHAR2(100),
  SOB_SHORT_NAME                 VARCHAR2(100),
  BATCH_NAME                     VARCHAR2(100),
  CREATED_BY_NAME                VARCHAR2(100),
  PO_NUMBER                      VARCHAR2(100),
  PO_LINE_NUMBER                 NUMBER,
  PO_DIST_NUMBER                 NUMBER,
  PAT_INVOICE_NUMBER             VARCHAR2(100),
  ORG_NAME                       VARCHAR2(100),
  RCV_ORG_NAME                   VARCHAR2(100),
  RCV_REC_NUMBER                 VARCHAR2(100),
  RCV_QTY                        NUMBER
);